Skip to main content
POST
/
profile
/
credentials
/
actions
Perform an action on credential
curl --request POST \
  --url https://developersandbox-api.flutterwave.com/profile/credentials/actions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action_type": "reset_encryption_key"
}
'
{
  "status": "success",
  "message": "<string>",
  "data": {
    "id": "<string>",
    "client_id": "<string>",
    "client_secret": "<string>",
    "encryption_key": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Trace-Id
string

A unique identifier to track this operation. It must be between 12 and 255 characters in length.

Required string length: 12 - 255

Body

application/json
action_type
enum<string>
Available options:
reset_encryption_key

Response

OK

status
enum<string>
Available options:
success,
failed
message
string
data
object